[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.IsColumnVisible

Indicates if the specified column is visible using the column definition or its display width.

## Declaration

Source position: dbgrids.pas line 485

`protected function TCustomDBGrid.IsColumnVisible(`
`aCol: Integer`
`):Boolean;`

## Arguments

`aCol` |  | Position for the column examined in the method.

## Function result

True if the specified column number is a visible column for the grid control.

## Description

IsColumnVisible is a Boolean function which indicates if the specified column number is a visible column for the grid control. IsColumnVisible uses the Columns collection (when Enabled) to get the TColumn instance at the specified position. Its Visible property is used as the return value for the method. When Columns is not used in the control, the ColWidths property is checked to ensure that the specified column number has a positive non-zero width.

## See also

TCustomDBGrid.Columns |  | Columns provides access to columns defined for the database grid control.
TColumn |  | Implements a display column for the TDBGrid control.
TGridColumn |  | Implements a column definition used for tabular data in TCustomGrid.
TCustomGrid.ColWidths |  | Provides indexed access to the Width for a column in the grid.